summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrea Galbusera <gizero@gmail.com>2017-07-31 11:19:18 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-08-09 09:24:03 +0100
commit0a8ae997c782794b6ef32654cb245b496ab1de8e (patch)
tree8924c9b301eae84266028efb7b234f200b370d6e
parent0dcdb146f59a184419bffd4f24cdf8343a43c0ea (diff)
downloadopenembedded-core-contrib-0a8ae997c782794b6ef32654cb245b496ab1de8e.tar.gz
openembedded-core-contrib-0a8ae997c782794b6ef32654cb245b496ab1de8e.tar.bz2
openembedded-core-contrib-0a8ae997c782794b6ef32654cb245b496ab1de8e.zip
scripts/oe-publish-sdk: use hook to call git update-server-info
The author's initial intent was to use a git hook to automatically call update-server-info, but the wrong hook type was chosen (post-update). A post-commit one will do the job, hence allowing to drop the explicit call to update-server-info. Signed-off-by: Andrea Galbusera <gizero@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rwxr-xr-xscripts/oe-publish-sdk4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/oe-publish-sdk b/scripts/oe-publish-sdk
index 9f7963c249..ee33acf902 100755
--- a/scripts/oe-publish-sdk
+++ b/scripts/oe-publish-sdk
@@ -114,9 +114,9 @@ def publish(args):
# Setting up the git repo
if not is_remote:
- cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv .git/hooks/post-update.sample .git/hooks/post-update; echo "*.pyc\n*.pyo\npyshtables.py" > .gitignore; fi; git add -A .; git config user.email "oe@oe.oe" && git config user.name "OE" && git commit -q -m "init repo" || true; git update-server-info' % (destination, destination)
+ cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; cp .git/hooks/post-update.sample .git/hooks/post-commit; echo "*.pyc\n*.pyo\npyshtables.py" > .gitignore; fi; git add -A .; git config user.email "oe@oe.oe" && git config user.name "OE" && git commit -q -m "init repo" || true' % (destination, destination)
else:
- cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv .git/hooks/post-update.sample .git/hooks/post-update; echo '*.pyc\n*.pyo\npyshtables.py' > .gitignore; fi; git add -A .; git config user.email 'oe@oe.oe' && git config user.name 'OE' && git commit -q -m \"init repo\" || true; git update-server-info'" % (host, destdir, destdir)
+ cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; cp .git/hooks/post-update.sample .git/hooks/post-commit; echo '*.pyc\n*.pyo\npyshtables.py' > .gitignore; fi; git add -A .; git config user.email 'oe@oe.oe' && git config user.name 'OE' && git commit -q -m \"init repo\" || true'" % (host, destdir, destdir)
ret = subprocess.call(cmd, shell=True)
if ret == 0:
logger.info('SDK published successfully')